Bug 1031253 - SELinux is preventing /usr/bin/mate-keyring-daemon from using the 'ipc_lock' capabilities.
SELinux is preventing /usr/bin/mate-keyring-daemon from using the 'ipc_lock' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6f61f542654fa6bd0e71b050def...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 02:38 EST by William Brown
Modified: 2013-12-03 05:33 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.14.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 05:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2013-11-16 02:38:30 EST
Description of problem:
Login to MATE, and when the keyring starts this denial is listed.

Note, my system is running with the staff_u user type, rather than unconfined_u
SELinux is preventing /usr/bin/mate-keyring-daemon from using the 'ipc_lock' capabilities.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that mate-keyring-daemon should have the ipc_lock capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mate-keyring-da /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:staff_r:staff_t:s0-s0:c0.c1023
Target Context                staff_u:staff_r:staff_t:s0-s0:c0.c1023
Target Objects                 [ capability ]
Source                        mate-keyring-da
Source Path                   /usr/bin/mate-keyring-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mate-keyring-1.6.0-2.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.11.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.11.7-200.fc19.x86_64 #1 SMP Mon
                              Nov 4 14:09:03 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-11-16 17:59:12 CST
Last Seen                     2013-11-16 18:06:19 CST
Local ID                      20393103-bb9b-4a68-95a6-aff49d49bbe2

Raw Audit Messages
type=AVC msg=audit(1384587379.434:584): avc:  denied  { ipc_lock } for  pid=3078 comm="mate-keyring-da" capability=14  scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=capability


type=SYSCALL msg=audit(1384587379.434:584): arch=x86_64 syscall=mlock success=yes exit=0 a0=7f3678c2c000 a1=4000 a2=3 a3=7fffd01cade0 items=0 ppid=1 pid=3078 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=4 tty=(none) comm=mate-keyring-da exe=/usr/bin/mate-keyring-daemon subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)

Hash: mate-keyring-da,staff_t,staff_t,capability,ipc_lock

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.7-200.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-11-18 11:45:15 EST
075e0f3446270b78f1b3057c10fb3efe14d25b27 fixes this in git.
Comment 2 Lukas Vrabec 2013-11-26 04:48:43 EST
Back ported to f19 and f20.
Comment 3 Fedora Update System 2013-11-26 09:23:04 EST
selinux-policy-3.12.1-74.14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.14.fc19
Comment 4 Fedora Update System 2013-11-26 23:30:19 EST
Package selinux-policy-3.12.1-74.14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22197/selinux-policy-3.12.1-74.14.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-12-03 05:33:24 EST
selinux-policy-3.12.1-74.14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.